> For the complete documentation index, see [llms.txt](https://docs.sandrabot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sandrabot.com/api/reference.md).

# Reference

## Ratelimits

To keep things simple, a reasonable 10 requests per 10 seconds across all API calls is enforced. If you surpass this limit, you will be blocked from performing additional requests for one minute.

## Responses

Each response from the API will always be valid JSON with `application/json` as the `Content-Type`. The only exception to this rule is Cloudflare landing pages. You may encounter such pages if Sandra is offline or you are being rate-limited.

Certain fields will always be present, such as `status`, `success` and `version`. Success denotes if the requested action was performed successfully or not. If the request was not successful, you can expect the `message` field as well.

```csharp
{
    "status": 404, // Integer
    "success": false, // Boolean
    "version": "...", // String
    "message": "Not Found" // String
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sandrabot.com/api/reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
